Get the reindex status
Server:
https://{kibana_url}
- GET /api/upgrade_assistant/reindex/{index}
Check the status of the reindex task.
Path Parameters
-
indexstringrequired -
The name of the index that is reindexing.
Response
Indicates a successful call.
-
hasRequiredPrivilegesboolean -
Specifies whether the user has sufficient privileges to reindex this index. When security is unavailable or disabled, it is
true. -
reindexOpobject -
errorMessagestring -
The error that caused the reindex to fail, if it failed.
-
indexNamestring -
The name of the old index.
-
lastCompletedStepinteger -
The last successfully completed step of the reindex. For example:
0: The reindex task has been created in Kibana. -10: The index group services stopped. Only applies to some system indices. -20: The index is set to readonly. -30: The new destination index has been created. -40: The reindex task in Elasticsearch has started. -50: The reindex task in Elasticsearch has completed. -60: Aliases were created to point to the new index, and the old index has been deleted. -70: The index group services have resumed. Only applies to some system indices.
-
newIndexNamestring -
The name of the new index.
-
reindexTaskIdstring -
The task ID of the reindex task in Elasticsearch. This value appears when the reindexing starts.
-
reindexTaskPercCompletenumber -
The progress of the reindexing task in Elasticsearch. It appears in decimal form, from 0 to 1.
-
statusinteger -
The reindex status. For example:
0: In progress -1: Completed -2: Failed -3: Paused
-
warningsunknown -
An array of any warning codes that explain what changes are required for this reindex. For example:
0specifies to remove the_allmeta field. -1specifies to convert any coerced boolean values in the source document. For example,yes,1, andoff. -2specifies to convert documents to support Elastic Common Schema. Applies only to APM indices created in 6.x.